For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get test

Returns the full test detail by stable public ID.

get
Authorizations
AuthorizationstringRequired

All requests require Authorization: Bearer sl_live_<your_api_key>. Generate a key from the Shoplift admin's API Keys settings page.

Path parameters
idstring · uuidRequired
Responses
200

OK

application/json
idstring · uuidRequired
titlestringRequired
statusundefined · enumRequiredPossible values:
goalstringRequired
devicestringRequired
visitorOptionstringRequired
hypothesisDescriptionstring · nullableRequired
handlestring · nullableRequired
durationnumber · nullableRequired
periodinteger · int32Required
createdAtstring · date-timeRequired
updatedAtstring · date-timeRequired
startAtstring · nullableRequired
endAtstring · nullableRequired
appliedAtstring · nullableRequired
automaticallyStartAtstring · nullableRequired
automaticallyEndAtstring · nullableRequired
automaticallyPauseAtstring · nullableRequired
automaticallyResumeAtstring · nullableRequired
endWhenSignificantbooleanRequired
estimatedCompletionDatestring · nullableRequired
stageundefined · enumRequiredPossible values:
priorityundefined · enum · nullableRequiredPossible values:
surfaceAreaundefined · enum · nullableRequiredPossible values:
impactinteger · nullableRequired
effortinteger · nullableRequired
implementedboolean · nullableRequired
get/api/public/v1/tests/{id}
GET /api/public/v1/tests/{id} HTTP/1.1
Host: app.shoplift.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "title": "text",
  "control": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "text",
    "suffix": "text",
    "themeId": 1,
    "redirectUrl": null,
    "screenshotUrl": null,
    "title": null,
    "traffic": 1
  },
  "variant": null,
  "status": "draft",
  "goal": "text",
  "device": "text",
  "visitorOption": "text",
  "hypothesisDescription": null,
  "campaign": null,
  "handle": null,
  "duration": null,
  "period": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "startAt": null,
  "endAt": null,
  "appliedAt": null,
  "automaticallyStartAt": null,
  "automaticallyEndAt": null,
  "automaticallyPauseAt": null,
  "automaticallyResumeAt": null,
  "endWhenSignificant": true,
  "estimatedCompletionDate": null,
  "customAudiences": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "rules": [
        {
          "dimension": "text",
          "operator": "text",
          "values": [
            "text"
          ],
          "selector": null
        }
      ]
    }
  ],
  "defaultAudiences": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "dimension": "text",
      "operator": "text",
      "value": "text"
    }
  ],
  "stage": "idea",
  "tags": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "priority": null,
  "surfaceArea": null,
  "impact": null,
  "effort": null,
  "implemented": null
}

Last updated

Was this helpful?